Name:           ciano
Version:        0.2.4
Release:        %mkrel 2
Summary:        Convert videos, music with the best possible experience
Group:          Video
License:        GPLv3+
URL:            https://github.com/robertsanseries/ciano
Source0:        %{name}-%{version}.tar.xz
Patch1: 0001-Handle-GIF-with-ImageMagick.patch
Patch2: 0001-Create-output-directory-if-not-exist.patch
Patch3: 0001-Use-standard-icon-names.patch
Patch4: 0001-Add-support-for-conversion-and-selection-of-OPUS-aud.patch
Patch5: 0001-Add-support-for-conversion-and-selection-of-WEBP-ima.patch
#------------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64gee-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64granite-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: meson 
BuildRequires: ninja
BuildRequires: vala 
#------------------------------------------------------
Requires:       ffmpeg
Requires:       ImageMagick
Requires:       lib64granite5
#------------------------------------------------------

%description
Convert videos, music with the best possible experience.

You need to set your output folder in preferences or
conversion will fail.

%prep
%setup -q
%apply_patches

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install --vendor="" \
    --remove-category="AudioVideo" \
    --remove-category="Player" \
    --add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop


ln -fs com.github.robertsanseries.ciano %buildroot/usr/bin/ciano


%files
%{_bindir}
%{_datadir}

%post
%update_menus

%postun
%clean_menus


%changelog
* Sun Sep 05 2021 tex - 0.2.4-2pclos2021
- add patches from arch

* Mon Sep 07 2020 tex - 0.2.4-1pclos2020
- create pkg
